You are here: Home Blog Topics setuptools

setuptools

Jul 09, 2013

Setuptools and a failing bootstrap

by Mike Cullerton — last modified Jul 09, 2013 12:15 PM
Filed Under:

After distribute and setuptools merged back together, I had a problem running bootstrap. Upgrading setuptools fixed the problem for me.

I used zopeskel 2.21.2 to install a development version of Plone, but got an error when I tried to bootstrap it.

michaelc@Cullerton$ ../bin/python bootstrap.py
Traceback (most recent call last):
  File "bootstrap.py", line 117, in <module>
    ws.require('zc.buildout' + VERSION)
  File "/Users/michaelc/plone_dev/decsys-26/lib/python2.6/site-packages/distribute-0.6.27-py2.6.egg/pkg_resources.py", line 690, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/Users/michaelc/plone_dev/decsys-26/lib/python2.6/site-packages/distribute-0.6.27-py2.6.egg/pkg_resources.py", line 588, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: setuptools>=0.7

 

Upgrading setuptools fixed the problem for me.

easy_install --upgrade setuptools

 

Hope this helps someone.


Reinout has a related post. http://reinout.vanrees.org/weblog/2013/07/08/new-setuptools-buildout.html

 
 
Copyright © 2003-2017 Core Software Group | 303/809-1001 | Fort Collins, Colorado | All rights reserved.